Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Class FbWireAttachment.AcceptPacket

java.lang.Object
org.firebirdsql.gds.ng.wire.FbWireAttachment.AcceptPacket

Enclosing interface:
  FbWireAttachment

public static class FbWireAttachment.AcceptPacket extends Object
Struct-like class, reduced equivalent of Firebird p_acpd to store data for handling op_cond_accept.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`operation`
`byte[]`
`p_acpt_data`
`byte[]`
`p_acpt_keys`
`String`
`p_acpt_plugin`

## Constructor Summary

Constructors
Constructor
Description
`AcceptPacket()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### operation

public int operation

### p_acpt_data

public byte[] p_acpt_data

### p_acpt_plugin

public String p_acpt_plugin

### p_acpt_keys

public byte[] p_acpt_keys

## Constructor Details

### AcceptPacket

public AcceptPacket()